## org.eclipse.datatools.connectivity.sqm.core.connection
Interface IValidConnectionHandler

    public interface IValidConnectionHandler

Implementers ensure that the connection is valid by performing a validation action as defined for the data server and re-establishing a connection if necessary

Method Summary
`java.sql.Connection` `ensureConnectivity(IConnectionProfile profile)` Performs the validation and ensure that the underlying JDBC connection is good It is highly recommended that implementors issue a very lightweight check, such as JDBC 4.0 isValid()

Method Detail

### ensureConnectivity

    java.sql.Connection ensureConnectivity(IConnectionProfile profile)
                                           throws java.sql.SQLException

  Performs the validation and ensure that the underlying JDBC connection is good It is highly recommended that implementors issue a very lightweight check, such as JDBC 4.0 isValid()

  Throws:
    `java.sql.SQLException`